Subject: RE: 3gpp-analysis: Recommendation on tunneling in the UE

From: "Karim El-Malki (HF/EAB)" <[email-masked]>
Date: Tue, 18 Nov 2003 13:58:44 +0100

A comment on Pekka's answer:

 > The point of ISATAP (as I see it) to run it as an intra-site 
 > tool.  It
 > could be rather useful there, especially if there are VPNs 
 > and such where
 > you can't use VLANs etc..  However, rather than specifying something
 > similar that runs inter-domain, we should focus on 
 > determining what is
 > actually needed when running inter-domain.
 > 
 > I.e., start from a clean slate instead of trying to work 
 > ISATAP towards
 > being an inter-domain tool.

ISATAP tunneling in the UE is not for inter-IP-domain.
There can be one or more L2 networks between the UE the ISATAP box
but the UE and ISATAP box would always be in the same IP domain.
Maybe this was a comment in reference to 3gpp roaming? If so I want
to point out that it is L2 roaming (not L3 roaming). So there is no
crossing of IP domain.

/Karim

---

From: Pekka Savola <[email-masked]>
Date: Tue, 18 Nov 2003 16:42:13 +0200 (EET)

On Tue, 18 Nov 2003, Karim El-Malki (HF/EAB) wrote:
> ISATAP tunneling in the UE is not for inter-IP-domain. There can be one
> or more L2 networks between the UE the ISATAP box but the UE and ISATAP
> box would always be in the same IP domain. Maybe this was a comment in
> reference to 3gpp roaming? If so I want to point out that it is L2
> roaming (not L3 roaming). So there is no crossing of IP domain.

I was talking about administrative domains, not IP domains. (Sorry for 
confusion.)

The 3GPP operator cannot trust the UE or the user.  They must be treated 
as "hostile".  This is very, very different from e.g. most enterprise 
networks where ISATAP was originally more or less envisioned for.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings